// import * as STATUS from "../constants/lotStatus";
import { LOT as ACTIONS } from "../constants/actions";

export const fetchLotsListStart = () => ({
  type: ACTIONS.FETCH_LIST_START
});
export const fetchLotsListSuccess = data => ({
  type: ACTIONS.FETCH_LIST_SUCCESS,
  payload: data
});
export const fetchLotsListError = error => ({
  type: ACTIONS.FETCH_LIST_ERROR,
  payload: error
});

export const fetchLotDataStart = uid => ({
  type: ACTIONS.FETCH_DATA_START,
  payload: uid
});
export const fetchLotDataSuccess = data => ({
  type: ACTIONS.FETCH_DATA_SUCCESS,
  payload: data
});
export const fetchLotDataError = error => ({
  type: ACTIONS.FETCH_DATA_ERROR,
  payload: error
});

export const setLotStatusStart = uid => ({
  type: ACTIONS.SET_STATUS_START,
  payload: uid
});
export const setLotStatusSuccess = data => ({
  type: ACTIONS.SET_STATUS_SUCCESS,
  payload: data
});
export const setLotStatusError = error => ({
  type: ACTIONS.SET_STATUS_ERROR,
  payload: error
});

export const requestListRefresh = (val = 3) => ({
  type: ACTIONS.REQUEST_REFRESH,
  payload: val
});

export const switchFilter = ({ bit, own }) => ({
  type: ACTIONS.SWITCH_FILTER,
  payload: { bit, own }
});
