import React from "react";
import { Popup } from "semantic-ui-react";

class StatusFilterButton extends React.Component {
  // constructor(props) {
  //   super(props);

  //   this.state = { pressed: !!props.pressed };
  // }

  // componentDidUpdate(){
  //   this.setState({pressed: this.props.pressed})
  // }

  render() {
    // const { pressed } = this.state;
    const {
      pressed,
      color,
      text = "",
      icon = "",
      onClick = () => void 0
    } = this.props;

    return (
      <Popup
        content={text}
        position="bottom left"
        size="small"
        style={{
          borderRadius: 0,
          opacity: 0.6
        }}
        inverted
        trigger={
          <div
            className={`status_filter_button lot_${color}${
              pressed ? " pressed" : ""
            }${text ? "" : " empty"}`}
            onClick={onClick}
          >
            {icon && (
              <img src={`/icons/${icon}-${pressed ? "inv" : color}.svg`} />
            )}
            {/* {text} */}
          </div>
        }
      />
    );
  }
}

export default StatusFilterButton;
