import React from "react";
import { Link } from "react-router-dom";
// import { connect } from "react-redux";
// import { AuthUserContext } from "../Session";
import { Image } from "semantic-ui-react";

import * as ROUTES from "../../constants/routes";
// import * as ROLES from "../../constants/roles";

import "./Navigation.scss";

const Navigation = ({ current, authUser }) => (
  <div className="nav">
    <div className="nav_top">
      <div className="nav_top_logo">
        {/* <Link to={ROUTES.HOME}> */}
        <Image
          as={Link}
          to={ROUTES.HOME}
          src="/images/AvvyLandIcon.svg"
          style={{
            paddingRight: 20,
            borderRight: "1px solid #999"
          }}
        />
        {/* </Link> */}
      </div>
      <div className="nav_panel nav_top_left flex-1">
        {/* <Link to={ROUTES.HOME}> */}
        <Image as={Link} to={ROUTES.HOME} src="/images/AvvyLandTitle.svg" />
        {/* </Link> */}
      </div>
      <div className="nav_panel nav_top_right">
        <Link to={ROUTES.HOME}>
          <Image src="/images/map.svg" />
        </Link>
        <Link to={ROUTES.ACCOUNT}>
          <Image src="/images/account.svg" />
        </Link>
      </div>
    </div>
  </div>
);

export default Navigation;
